For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • POSTGenerate voice candidates
      • POSTCreate voice from candidate
Status
LogoLogo
API ReferenceVoice Design

Generate voice candidates

POST
https://app.resemble.ai/api/v2/voice-design
POST
/api/v2/voice-design
$curl -X POST https://app.resemble.ai/api/v2/voice-design \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F user_prompt="string"
200Successful
1{
2 "voice_candidates": [
3 {
4 "audio_url": "string",
5 "voice_sample_index": 1,
6 "uuid": "string"
7 }
8 ]
9}
Generate three voice candidates from a text prompt
Was this page helpful?
Previous

Create voice from candidate

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects a multipart form.
user_promptstringRequired
Description of desired voice

Response

Voice candidates generated
voice_candidateslist of objects